# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}


# Supported build option:
#

Name:           help2man
Summary:        Create simple man pages from --help output
Version:        1.47.4
Release:        1
Group:          Development/Tools
License:        GPLv3+
URL:            http://www.gnu.org/software/help2man
Source:         ftp://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch


%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a
way to generate a placeholder man page pointing to that resource while
still providing some useful information.


%prep
%setup -q -n help2man-%{version}

# Duplicate source for 32 & 64 bits
rm -rf /tmp/%{name}-%{version}-32bit
mkdir  /tmp/%{name}-%{version}-32bit
mv *   /tmp/%{name}-%{version}-32bit
mkdir 32bit
mv     /tmp/%{name}-%{version}-32bit/* 32bit
rm -rf /tmp/%{name}-%{version}-32bit
mkdir 64bit
cp -rp 32bit/* 64bit/

%build
export CONFIG_SHELL=/opt/freeware/bin/bash
export CONFIGURE_ENV_ARGS=/opt/freeware/bin/bash
export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`




# first build the 64-bit version
cd 64bit

export CC="gcc -maix64 -D_LARGE_FILES"
export OBJECT_MODE=64
./configure --prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--libdir=%{_libdir}/help2man

make

if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi

#Now build the 32-bit version
cd ../32bit

export CC="gcc -maix32 -D_LARGE_FILES"
export OBJECT_MODE=32
./configure --prefix=%{_prefix} \
        --bindir=%{_bindir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} \
        --libdir=%{_libdir}/help2man

make

if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi

%install

cd 64bit
export AR="/usr/bin/ar -X64"
export OBJECT_MODE=64
make install DESTDIR=${RPM_BUILD_ROOT}
#%find_lang %name --with-man
(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_64
    done
) 

cd ../32bit
export AR="/usr/bin/ar -X32"
export OBJECT_MODE=32
make install DESTDIR=${RPM_BUILD_ROOT}
#%find_lang %name --with-man
(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_32
	ln -sf "$fic"_64 $fic
    done
) 



(
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .
)

%post
/sbin/install-info %{_infodir}/help2man.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/help2man.info \
    %{_infodir}/dir 2>/dev/null || :
fi

#%files -f %name.lang
%files
%doc 32bit/README 32bit/NEWS 32bit/THANKS 32bit/COPYING
/usr/bin/help2man*
%{_bindir}/help2man*
%{_infodir}/*
%{_mandir}/man1/*


%changelog
* Mon Sep 11 2017 Sushma M Bhat <susmbhat@in.ibm.com> -1.47.4-1
- Updated to version 1.47.4-1 and built 64-bit version too

* Tue Nov 18 2014 Gerard Visiedo <gerard.visiedo@bull.net> - 1.43.3-1
- Initial port on Aix6.1
